- slug: product-analytics
  group: Product Analytics
  category:
  performer: Analytics Facilitator
  main-job: Facilitate product data analysis
  outcome: 
      - Minimize indecision about what areas of our product to analyze
      - Increase likelihood of measuring product analytics
  confidence: Medium
  canvas: https://www.figma.com/file/5hZsqY2jxxYp5zbLcDiw6U/Product-Analytics-JTBD?type=whiteboard&node-id=0%3A1&t=OIYlfR9troNLWwZ1-1
- slug: product-analytics
  group: Product Analytics
  category:
  performer: Product Analyst
  main-job: Analyze product data for insights
  outcome: 
      - Increase iteration of product based on data
      - Maximize the likelihood of tracking KPIs
      - Decrease the effort of reporting on insights
      - Increase the likelihood of positive user outcomes
  confidence: Medium
  canvas: https://www.figma.com/file/f0R30Z7V1ljD85XyAzq0s5/JTBD---Product-Analytics---Consumption?type=whiteboard&node-id=2058-704&t=4PYsb5PoA2rpo9Vh-11
- slug: environments
  group: Environments
  category: Deployment Management
  performer: Change deployer
  main-job: Deploy changes
  outcome: Increase the reliability and efficiency of deploying code changes to production
  confidence: Medium
  canvas: 'https://www.figma.com/file/VeAE0Cvey56ZwXzkhPBAG7/FY25-Q1-OKR-%7C-Environments-JTBD?type=whiteboard&node-id=4%3A4831&t=fIY3PyH5BzUMGilC-1'
- slug: environments
  group: Environments
  category: Release Management
  performer: Release publisher
  main-job: Publish releases
  outcome: 
    - Increase the ease of creating and publishing releases
    - Increase confidence that the releases contain all necessary information and comply with internal processes
  confidence: Medium
  canvas: 'https://www.figma.com/board/VeAE0Cvey56ZwXzkhPBAG7/FY25-Q1-OKR-%7C-Environments-JTBD?node-id=4%3A4520&t=9gTtMdVZJqGrIQVN-1'
- slug: environments
  group: Environments
  category: Environment management
  performer: Environment creator
  main-job: Create environments
  outcome: 
    - Decrease the time and effort needed to provision new environments ready for deployments
    - Decrease the time needed to troubleshoot issues that arise during environment set up
    - Increase the teams confidence in the reliability of environments
  confidence: Medium
  canvas: 'https://www.figma.com/board/VeAE0Cvey56ZwXzkhPBAG7/FY25-Q1-OKR-%7C-Environments-JTBD?node-id=4%3A4192&t=ACyMlzUlsXbWObLN-1'  
- slug: pipeline-authoring
  group: Pipeline Authoring
  category: Component Catalog
  performer: Deployment standardizer
  main-job: Standardize deployments.
  outcome: Increase deployment consistency to boost efficiency and maintain security standards.
  confidence: Medium 
  canvas: 'https://www.figma.com/file/z2q8ld4eZx0A2X4b2BxkjK/Verify%3APA---Jobs-to-be-done-(FY25)?type=whiteboard&node-id=147%3A4033&t=AjI7NvzSMh0vsS0n-1'
- slug: pipeline-execution
  group: Pipeline Execution
  category:
  performer: 
  main-job: 
  outcome: 
  confidence: 
  canvas: 
- slug: pipeline-security
  group: Pipeline Security
  category: Groups & Projects
  performer: Secrets guardian
  main-job: Create secrets
  outcome: 
    - Minimize unauthorized access to sensitive information
    - Increase security of sensitive information
    - Maximize effectiveness in updating and rotating sensitive information
    - Minimise potential security breaches
  confidence: Medium
  canvas: 'https://www.figma.com/file/D0mS17odIxwAdnSixzxRLM/FY25-Q1-OKR-%7C-Pipeline-Security-JTBD?type=whiteboard&node-id=0%3A1&t=fKQ7nSiRC5WgZ2jN-1'
- slug: runner
  group: Runner
  category: Fleet Visibility
  performer: Deployment optimizer
  main-job: Optimize deployments
  outcome: Minimize deployment time and opportunity for human error.
  confidence: Medium
  canvas: https://www.figma.com/file/LTh0G0p2LvaIt4S3gD3ruk/JTBD---Fleet-Visibility-(CI)?type=whiteboard&node-id=0%3A1&t=bDcIwga9okgN9my6-1
- slug: tenant-scale
  group: Tenant Scale
  category: Groups & Projects
  performer: Content organizer
  main-job: Organize content
  outcome: 
    - Decrease time it takes team members to locate specific content inside the tool
    - Increase security of tool by having oversight of all organizational buckets
  confidence: High
  canvas: 'https://www.figma.com/file/07EmcJttxUawTdaI3F9vHv/Tenant-Scale----Jobs-to-be-done----Playbook-Template?type=whiteboard&node-id=278%3A5281&t=5Bc2rvPfj4dMFbwt-1'
- slug: ai-framework
  group: AI Framework
  category:
  performer: 
  main-job: 
  outcome: 
  confidence: 
  canvas: 
- slug: code-review
  group: Code Review
  category: Code Review Workflow
  performer: Code Reviewer
  main-job: Ensure changes adhere to organizational standards
  outcome: Reduce the likelihood of security or performance issues in our products
  confidence: High
  canvas: https://www.figma.com/file/CzuAYraRvpevzcciXi0Ksg/Code-Review-JTBD?type=whiteboard&node-id=42%3A172&t=GsAdmRCekNqzWQa5-1
- slug: ide
  group: Remote Development
  category: Workspaces
  performer: Code Author
  main-job: Develop improvements for my application
  outcome: Increase performance, reliability, security and user satisfaction for my organization’s products
  confidence: High
  canvas: https://www.figma.com/file/tF3wShlNN6V8wqqesdKUWi/Code-Author-JTBD?type=whiteboard&node-id=89%3A235&t=GsAdmRCekNqzWQa5-1
- slug: ide
  group: Remote Development
  category: Workspaces
  performer: Workspace Administrator
  main-job: Configure cloud development environments
  outcome: Increase the likelihood engineering teams meet their release targets
  confidence: Medium
  canvas: https://www.figma.com/file/hx7V0z0uZKR8Aoti3oVaDd/Workspace-Admin-JTBD?type=whiteboard&node-id=260%3A4511&t=GsAdmRCekNqzWQa5-1
- slug: source-code
  group: Source Code
  category: Source Code Management 
  performer: Standards Enforcer
  main-job: Implement development standards
  outcome: Maintain compliance with Org policies
  confidence: Medium
  canvas: https://www.figma.com/file/xL6JxPI4SzdZky8aS7Cgwd/Repository-manager-JTBD?type=whiteboard&node-id=67%3A342&t=GsAdmRCekNqzWQa5-1
- slug: optimize
  group: Optimize
  category:
  performer: Progress Tracker
  main-job: Track plan progress to meet commitments
  outcome: 
      - Increase ability to determine if target objectives and goals are being met
      - Increase confidence in achieving goals
      - Mitigate blockers
      - Increase focus on goals
      - Increase ability to adapt
      - Mitigate wasted resources
      - Increase team performance
      - Increase alignment toward achieving goals
      - Increase awareness of progress toward goals
      - Increase accountability toward achieving goals
      - Improve the feedback loop between teams and stakeholders
  confidence: High
  canvas: https://www.figma.com/file/aRjTFK4GsmaKLMCBgAVs9w/Optimize-JTBD-Canvases-2023-2024?type=whiteboard&node-id=619-10102&t=bBngVtKDXh0rjaXA-11 
- slug: product-planning
  group: Product Planning
  category:
  performer: 
  main-job: 
  outcome: 
  confidence: 
  canvas: 
- slug: project-management
  group: Project Management
  category: Team Planning
  performer: Delivery coordinator
  main-job: Deliver a product enhancement
  outcome: Increase product value to customers
  confidence: Medium
  canvas: https://www.figma.com/file/WHUkgeY1SW6LUbjGk1UoQV/Plan-and-Product-Analytics-Jobs-to-be-Done-(JTBD)?type=whiteboard&node-id=139-4778&t=3W0SWk3s4aCzFjcC-4
- slug: fulfillment
  group: Fulfillment
  category: 
    - Purchase
    - SaaS Provisioning
    - SM Provisioning
  performer: Software buyer
  main-job: Buy a development lifecycle tool to increase efficiencies
  outcome: 
    - Maximize team efficiency and quality of work across software development processes
    - Minimize the time it takes to acquire a development lifecycle management system
    - Minimize disruption to teams during trial process
    - Reduce spend per individual on a development lifecycle management system
  confidence: Med
  canvas: https://www.figma.com/file/bSZgVCIx0p35d99DgHyCrc/Jobs-to-be-done----Fulfillment?type=whiteboard&node-id=260%3A4511&t=5l8SUXKfdGUBwDIo-1
- slug: fulfillment
  group: Fulfillment
  category: 
    - Seat Cost Management
    - Consumables Cost Management
    - Subscription Management
  performer: Subscription manager
  main-job: Manage subscription usage
  outcome: 
    - Minimize surprise costs 
    - Maximize team efficiency and quality of work across DevSecOps
    - Minimize roadblocks to software development
    - Minimize amount of administrative tasks
  confidence: Med
  canvas: https://www.figma.com/file/bSZgVCIx0p35d99DgHyCrc/Jobs-to-be-done----Fulfillment?type=whiteboard&node-id=260%3A4511&t=5l8SUXKfdGUBwDIo-1  
- slug: authorization
  group: Authorization
  category: Permissions
  performer: Access provisioner
  main-job: Provision access rights
  outcome: 
    - 'Minimize productivity loss coming from users lack of access to resources they need to do their job'
    - 'Minimize security risk and data breaches coming from bad actors'
    - 'Reduce manual work when managing user’s role and access to resources'
    - 'Standardize organization’s user and resource permission management across all software and applications'
  confidence: Medium
  canvas: 'https://www.figma.com/file/YmDkQqNEbwHt89mWpiY0lG/JTBD-Canvas---Authorization?type=whiteboard&node-id=278%3A4072&t=FmLPJfsgkHHK15kn-1'
- slug: authorization
  group: Authorization
  category: Permissions
  performer: Access maintainer
  main-job: Maintain access policies
  outcome: Minimize security risk and data breaches coming from bad actors
  confidence: Medium
  canvas: 'https://www.figma.com/file/YmDkQqNEbwHt89mWpiY0lG/JTBD-Canvas---Authorization?type=whiteboard&node-id=278%3A4072&t=FmLPJfsgkHHK15kn-1'
- slug: authorization
  group: Authorization
  category: Permissions
  performer: Access requester
  main-job: Gain access rights
  outcome: Minimize time spent on gaining access rights
  confidence: High
  canvas: 'https://www.figma.com/file/YmDkQqNEbwHt89mWpiY0lG/JTBD-Canvas---Authorization?type=whiteboard&node-id=278%3A4072&t=FmLPJfsgkHHK15kn-1'
- slug: security-policies
  group: Security Policies
  category:
  performer: Policy Creator
  main-job: Create policies for the org's assets
  outcome: 
      - Increase the adoption of my orgs assets to the compliance requiremnts
      - Reduce the likelihood of a legal and financial threat.
      - Increase awareness of the security standards.
  confidence: Medium
  canvas: https://www.figma.com/file/chlrPbqJWNELUR2dFapUcL/Secure-and-Govern-JTBD-Hierarchy-(JTBD-SSoT)?type=whiteboard&node-id=536-1118&t=zBZMNKejSSP1YXL5-11
- slug: security-policies
  group: Security Policies
  category:
  performer: Policy Implementor
  main-job: Implement policies
  outcome: 
      - Reduce the likelihood of a business critical risk to the organization’s assets.
      - Increase quality of my organization’s products
      - Maintain compliance with my organization’s policies
  confidence: Medium
  canvas: https://www.figma.com/file/chlrPbqJWNELUR2dFapUcL/Secure-and-Govern-JTBD-Hierarchy-(JTBD-SSoT)?type=whiteboard&node-id=536-1466&t=zBZMNKejSSP1YXL5-11
- slug: compliance
  group: Compliance
  category:
  performer: Compliance Examiner
  main-job: Audit Org’s assets (policy compliance)
  outcome: 
      - Reduce the likelihood of losing revenue
      - Maintain the reputation of the organization
      - Increase the conformity of the org’s assets to the compliance requirements
  confidence: Medium
  canvas: https://www.figma.com/file/chlrPbqJWNELUR2dFapUcL/Secure-and-Govern-JTBD-Hierarchy-(JTBD-SSoT)?type=whiteboard&node-id=536-4759&t=zBZMNKejSSP1YXL5-11
- slug: threat-insights
  group: Threat Insights
  category:
  performer: Vulnerability Assessor
  main-job: Triage vulnerabilities
  outcome: Reduce the likelihood of a business-critical threat.
  confidence: Medium
  canvas: https://www.figma.com/file/chlrPbqJWNELUR2dFapUcL/Secure-and-Govern-JTBD-Hierarchy-(JTBD-SSoT)?type=whiteboard&node-id=536-3123&t=zBZMNKejSSP1YXL5-11
- slug: static-analysis
  group: Static Analysis
  category:
  performer: 
  main-job: 
  outcome: 
  confidence: 
  canvas: 
- slug: secret-detection
  group: Secret Detection
  category: 
  performer: See Vulnerability Assessor and Policy Implementor
  main-job: See Vulnerability Assessor and Policy Implementor
  outcome: See Vulnerability Assessor and Policy Implementor
  confidence: 
  canvas: 
